<?php

include("conexao.php");
$DataAtual = strtotime(date('Y-m-d'));

	
	$SQLBloq = "SELECT * FROM `rev`";
	$SQLBloq = $painel_user->prepare($SQLBloq);
	//$SQLBloq->bindParam(':usuario', $usuario, PDO::PARAM_STR);
	//$SQLBloq->bindParam(':senha', $senha, PDO::PARAM_STR);
	$SQLBloq->execute();
  	$LnBloq = $SQLBloq->fetch();
	
	while($LnBloq = $SQLBloq->fetch()){
	$DataPremio = $LnBloq['data_premio'];
	
	if($DataAtual>$DataPremio)
	{  
	    include_once("functions.php");
		include("conexao.php");
		$CadUser = $LnBloq['usuario'];
		$idUserBloq = $LnBloq['id'];
		$status = "S";
		
		$SQL = "UPDATE rev SET
			bloqueado = :bloqueado
            WHERE id = :IdBloq";
		$SQL = $painel_user->prepare($SQL);
		$SQL->bindParam(':bloqueado', $status, PDO::PARAM_STR); 
		$SQL->bindParam(':IdBloq', $idUserBloq, PDO::PARAM_STR); 
		$SQL->execute();
		
		$ArvoreAdmin = ArvoreAdmin($CadUser);
		for($i = 0; $i < count($ArvoreAdmin); $i++){
		$SQL = "UPDATE admin SET
			bloqueado = :bloqueado
            WHERE usuario = :usuario";
		$SQL = $painel_user->prepare($SQL);
		$SQL->bindParam(':bloqueado', $status, PDO::PARAM_STR); 
		$SQL->bindParam(':usuario', $ArvoreAdmin[$i], PDO::PARAM_STR); 
		$SQL->execute(); 
	}
	
	$ArvoreRev = ArvoreRev($CadUser);
	for($i = 0; $i < count($ArvoreRev); $i++){
		$SQL = "UPDATE rev SET
			bloqueado = :bloqueado
            WHERE usuario = :usuario";
		$SQL = $painel_user->prepare($SQL);
		$SQL->bindParam(':bloqueado', $status, PDO::PARAM_STR); 
		$SQL->bindParam(':usuario', $ArvoreRev[$i], PDO::PARAM_STR); 
		$SQL->execute(); 
	}
	
	$ArvoreUser = ArvoreUser($CadUser);
	for($i = 0; $i < count($ArvoreUser); $i++){
		if($status=="S"){
		$SQL = "UPDATE usuario SET
		    xml = 'N'
            WHERE usuario = :usuario";
		}
		if($status=="N"){
		$SQL = "UPDATE usuario SET
			xml = 'S'
			WHERE usuario = :usuario";
		}
		$SQL = $painel_user->prepare($SQL);
		$SQL->bindParam(':bloqueado', $status, PDO::PARAM_STR); 
		$SQL->bindParam(':usuario', $ArvoreUser[$i], PDO::PARAM_STR); 
		$SQL->execute(); 
	}
	
	$ArvoreTeste = ArvoreTeste($CadUser);
	for($i = 0; $i < count($ArvoreTeste); $i++){
		
		if($status=="S"){
		$SQL = "UPDATE teste SET
		    xml = 'N'
            WHERE usuario = :usuario";
		}
		if($status=="N"){
		$SQL = "UPDATE teste SET
		    xml = 'S'
			WHERE usuario = :usuario";
		}
		
		
		$SQL = $painel_user->prepare($SQL);
		$SQL->bindParam(':bloqueado', $status, PDO::PARAM_STR); 
		$SQL->bindParam(':usuario', $ArvoreTeste[$i], PDO::PARAM_STR); 
		$SQL->execute(); 
	}
	
	}
	
	}



?>